Jump to content
Sign in to follow this  
Bob at GDA

Vectorworks and Mac OS X 10.5 Leopard

Recommended Posts

Christian,

You are missing my point. It doesn't take an hour's worth of time running 12.5.2 on Leopard to know that it has serious problems. It probably doesn't take 5 minutes. Leopard is a major OS launch for Apple and if you think for one minute that the Mac faithful weren't going to install this the minute they got their hands on it you are delusional.

Yes Francois freely admits that he's learned his lesson but he also freely admits that he is pissed. He is now a pissed-off NNA customer. As a CAD manager it is your job to be careful about these things. Not so with the common user base.

Apple's following is largely due to a relatively effortless user experience and that is what they expect. This problem had to be known by NNA and they should have warned people about it the same way they warned people by email about their efforts on 2008.

Many hours of lost time and many hard feelings towards NNA could have been avoided.

Sorry, but they were wrong in their failure to address this.

Share this post


Link to post

Logically. if NNA coded v2008 for Leopard compatibility then they were aware of the issues with previous versions including v12.5.2.

Making the assumption that Users of previous VW versions would have first hand knowledge of the compatibility issues begs the point.

Perhaps, if NNA had been willing to distribute the train schedule to professional Users like Bob at GDA , then he would not have been parked on the tracks when the Leopard Express arrived on time.

No one likes to be blind-sided ... especially after making a substantial investment in the latest software.

Share this post


Link to post

islandmon,

Thank you for making the point I failed to, which is, if they were fixing 2008, they had a pretty good idea of the problems with 12.

Very cool to find out that there is a geodesic engineer among us! Love Bucky!

Share this post


Link to post

NNA *did* warn users. They repeatedly said they would release an official statement once Leopard had been released, and here it is:

NNA has tested VectorWorks 12.5.2 with the latest seed versions of Leopard that is available to us, and we have found that it has substantial functional problems. We plan to evaluate these problems after we receive the final release of Leopard and will then determine how we plan to address them. We will provide more information as it becomes available.

We have also verified that VectorWorks versions prior to 12.5.2 have substantial problems when running in our pre-release Mac OS X Leopard environment. We do not intend to update these older versions of VectorWorks for compatibility with Leopard.

That says to me NNA are going to sort 12.5.2 users out, which I'd expect.

Could they have released this statement a little earlier? Maybe, maybe not, but in my book if you go ahead with a major system upgrade and expect all your 3rd party software to be fine and dandy, without even putting the question to those who make your 3rd party software, then you need to learn the hard way because you obviously didn't read instructions.

And, Bob, it's not a matter of me being a CAD manager. Ever since owning my own computer I've known to check 3rd party software compatibility before upgrading an operating system. Why have I known this? Because I read the prominent file that comes with the installation disc called "Read Before You Install."

Share this post


Link to post

Can some of you out there please help with an install problem? I updated to leopard last night. I performed a clean OS system install. As NNA web site claimed that VW2008 should work and I obviously have my install disk and dongel I thought to install all my iApps should give me a cleaner system library and hopefully cause less problems.

The problem I have is that it will not accept my serial number as valid when I try to install off the VW DVD.

Any ideas?

Share this post


Link to post

We all know now, at least those who read the forums. I did not and just assumed a major release of a new OS mac would surely be announced by my coworkers and dealers here that VW12.5.2 does not work in Leopard. And I mean does not work, not that it has some issues but it does not work on a serious level.

Of course a silly move on my side not to check. I have become a little spoiled over the years upgrading to rather more stable releases instead of getting into a major mess. So this for me is how it was a long time back. Still, I have to admit, it was not a smart move on my side. I wonder a little why I haven't heard of it say a few weeks or months before by my CAD software suppliers. Did they also not know. Well, my 08 version is on order but still I have to get back to 10.4 since I have to finish my work Monday or Tuesday.

Did NNA do right, I am not sure. Did they not know, I can hardly imagine they found out just recently. They will sell lots of VW 2008 for sure. All with Macs and VW will have to otherwise you will miss out on a fine OSX. I can not help feel a little silly and at the same time annoyed even knowing its mostly my own fault. I also think it not truly a good policy to have to upgrade to VW 08 to be able to use the most recent OSX. NNA should at least have a working version 12.5.2 I paid a good price for a year ago as an upgrade from 11.

Share this post


Link to post
The problem I have is that it will not accept my serial number as valid when I try to install off the VW DVD.

Any ideas?

Try ...after Installing ... eject the DVD ... then launch VW.

If this fails ... restart OSX

Share this post


Link to post

Islandmon,

Thanks, but I don't even get as far as installing. That is my problem as the installer closes the programme once it rejects my serial number. I have checked and double checked many times and have definitely typed it in correctly.

Grrr!

Share this post


Link to post

Of course a silly move on my side not to check.

Indeed.

Let's get this straight: you expect your current applications to be updated to work with the latest OS releases. Ipso facto, application software manufacturers should accept that you (i) pay for a new OS and (ii) expect someone else to pay for the application update to the new OS.

I surely hope that is not going to happen. Luckily, it won't.

Share this post


Link to post

Dear Petri, you are enjoying this. Thanks for your help..

NNA did not advertise VW08 as the only compatible version for Leopard. I think to be honest that NNA is caught with their pants down ignorant about the serious way VW12.5 is messing up in Leopard.

If they knew about it before, lets say months ago then NNA is not an honest company. In this case they somehow thought it was good for sales to expose Leopard issues with 12.5 just now. I have used VW since Minicad+ 2. I have a high regard for the people behind Vectorworks so I can only imagine them as surprised as I am.

Share this post


Link to post

Christiaan,

Sorry for the late reply. I will have to agree with you that the prudent thing would be to wait to upgrade, but from my experience in the Mac community, people are so used to having things go smoothly that they don't think twice about it.

I think it was ill advised for NNA to not notify their 12.5.2 user base ahead of time. A lot of users (I would suspect most) don't check these forums everyday or even at all. It will cost these people a lot of time and pain to get back up and running again and they will have to make a lot of apologies to clients.

I have not ordered VW2008 for the simple reason that I would like things to settle down. I will order it though. Good evidence of this is that I have been using it for over 20 years.

Also, you brought good and valid points to the discussion.

I just think this could have been handled better.

Share this post


Link to post
Dear Petri, you are enjoying this.

Not at all. However, I've learned not to upgrade the OS until I'm sure that all the necessary applications work in the new one. This has often meant a very long transitional period and with Leopard it will obviously be one of those.

Share this post


Link to post

I am one of those people who rushed headlong into the upgrade without checking compatibility. I was a bit irritated with myself at first. The rulers had hatch patterns over them and the drag box didn't show up. I deleted the preferences and it is now looking much better. I think I can live with this until an update turns up. I hope one does for 12.5. I spent a lot of money on 12.5 not too long ago and I would be disappointed if NNA forgot about you as soon as they got you money. I am sure they will (update that is).

Share this post


Link to post

for me the getting rid of the preferences did not make any difference. No patterns, invisable tracing of the cursor when drawing, dotted lines invisable or hardly visable etc. Hardly worth trying any further.

I am sure the next week we will see a trail of "clumsy" vectorworks users on the forums or hear about. Out of the 28 app's on my computer and out of the about 8 I use regulary only Vectorworks has major problems. Had the dealers known they would have told me for sure.

Share this post


Link to post

Removing preferences did not make a difference for me either. I continue to experiment and find that on some of my existing files that both rulers have hatch patterns, on some just the top ruler does, and yet on others both rulers are just fine. On some files the drag box is invisible but on others there is a dashed line. I hope someone from NNA is reading these posts.

Share this post


Link to post

Petri,give the "Point Men" some credit. They're exposing the incompatibilities the rest of us are worrying about.

Edited by G_Hannigan

Share this post


Link to post
Guest

NNA is aware of the issues with VW 12 and Leopard, as you will find here .

Share this post


Link to post
Petri,give the "Point Men" some credit. They're exposing the incompatibilities the rest of us are worrying about.

Superseded software has a tendency to be incompatible with the latest operating systems.

My point is that if one has the money to buy a new OS, one might also have the money to buy the current version of an application, compatible with the OS that was in this case released well after the application in question.

Please tell me how many past generations of an application have to be made to be compatible with new operating systems. Hey, if you pays the money, I won't complain, but if you expect MiniCAD 1 to work with Leopard & Vista for free, I do.

Share this post


Link to post

Petri, its clear now you just want to be right. You are right, its not fair to expect Minicad 1 to be compatible with Leopard, or actually any OS of the past 10 years.

Share this post


Link to post
Islandmon,

Thanks, but I don't even get as far as installing. That is my problem as the installer closes the programme once it rejects my serial number. I have checked and double checked many times and have definitely typed it in correctly.

Grrr!

Check to make sure your serial number matches your install disk. If you serial number starts with "E" for example, you install disk should say "Series E...". If it is different then you have the wrong install disk and need to get it exchanged.

Share this post


Link to post
Guest

If you are having installation problems, please contact Tech Support directly at 410-290-5114 or send an email along with your serial number and issue to tech@nemetschek.net

Share this post


Link to post

I am jealous of Petri, first of all he lives in Finland, which is a very beautiful country with great people and secondly he must be very young.

I have been working now with 08 and Leopard and am very happy so far. Sorry Petri, you will have to wait at least half a year.

I am especially impressed with the overall speed in drawing and the much better signs of activated objects in the drawing. The input palette that follows the cursor is also great. I thought it was already good but NNA found a way to improve it still. I always liked the way Sketchup arranged its input and now VW is more like that. NNA has clearly studied it very well. I would not like to go back to VW 12.5. It would be amazing if NNA could have a preview-icon for the file, for example of the first sheet so that in Leopard you could browse your documents as you can with Pages documents or PDF's.

Share this post


Link to post
I am jealous of Petri, first of all he lives in Finland, which is a very beautiful country with great people and secondly he must be very young.

Jackpot - all your statements are wrong! (But I'm quite flattered about being called very young. I feel that way! I'm still curious and investigate things before jumping.)

EDIT

On second thoughts: I've lost the innocence of feeling immortal.

Edited by Petri

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

 

7150 Riverwood Drive, Columbia, Maryland 21046, USA   |   Contact Us:   410-290-5114

 

© 2018 Vectorworks, Inc. All Rights Reserved. Vectorworks, Inc. is part of the Nemetschek Group.

×
×
  • Create New...